Page MenuHomePhabricator

Enable courses without password
Closed, ResolvedPublic

Description

There should be an option to create courses without password. In my opinion, if the password can be public on the course page, then why have it at all?

It just adds extra burden to the organizers of many courses / events / edit-a-thons.

Event Timeline

Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptNov 9 2016, 10:25 PM

I agree - currently the *requirement* to have the password raises the threshold of joining the course (one more piece of information needs to be copy-pasted or remembered). It should be optional.

Gabka claimed this task.Sep 7 2017, 11:57 AM
Gabka added a subscriber: Gabka.

I would like to remind this task - from September, we are going to start a lot of courses and people are very confused by required password. There is a possibility to delete a password, but the password is still required and people have to confirm empty box what isn´t logical.

Vojtech.dostal removed Gabka as the assignee of this task.Sep 7 2017, 12:05 PM

Ah, I hadn't considered the case of using the 'Join' button in 'Available Actions' when I worked on the passcode issue. I just filed a ticket for it: https://github.com/WikiEducationFoundation/WikiEduDashboard/issues/1380

In the meantime, if you use a link with ?enroll at the end, then the join button that appears at the top will work without asking for a passcode.

Gabka added a comment.Sep 9 2017, 12:11 PM

Thanks! ;)

Ragesoss closed this task as Resolved.Apr 23 2019, 10:04 PM
Ragesoss claimed this task.

I think this has been working fine for a while now; if there are any related problems, please reopen this and describe what is wrong.